package com.rc.httpcore.config

import com.rc.httpcore.HttpConfig

class ConfigFactory {

    companion object {
        val buildDebugConfig = ConfigParam.Builder()
            .baseUrl("http://180.76.134.43:30002/")
            .fileBrowserBaseUrl("http://180.76.134.43:31007/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            .mqttServerUri("tcp://180.76.134.43:18830")
            .mqttUName("dlc")
            .mqttUPwd("123456")
            .build()

        val buildReleaseConfig = ConfigParam.Builder()
            .baseUrl("https://lab.sxitdlc.com/labSystem/")
            .fileBrowserBaseUrl("http://180.76.134.43:31007/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            .mqttServerUri("tcp://180.76.134.43:1883")
            .mqttUName("mqtt")
            .mqttUPwd("mqtt@zd1883")
            .build()
    }

}